Upgrade from 2.6.10

Added by piyush nagar about 1 year ago

I am planing to upgrade my Redmine from 2.6.10 to 3.X [3.0.X, 3.1.X, 3.2.X, 3.3.X].

for 2.6.10 support is no more. Refer: http://www.redmine.org/news/105
for 3.0.X support is no more. Refer: http://www.redmine.org/news/100
Means we should go with higher version of Redmine.

I am using mysql version: [Ver 14.14 Distrib 5.1.73], I don't intend to upgrade mysql for now.

Please suggest what version I should upgrade to on basis of support duration. I am unable to find the maintenance period for 3.1.x , 3.2.x and 3.3.x versions.

Replies (1)

RE: Upgrade from 2.6.10 - Added by Martin Denizet (redmine.org team member) about 1 year ago

Hello,
The only reason I see not to get the latest would be some issues with plugin compatibility (you might want to test beforehand!).
That or other compatibility issues, like a shared ruby version with other services (which can easily be bypassed using RVM).
Cheers,

(1-1/1)